Organization
Get organization
Returns the organization associated with the authenticated token, including its scheduling defaults. No organization ID is accepted because the caller’s organization is determined from authentication.
GET
/
v1
/
organization
Get organization
curl --request GET \
--url https://api.modernloop.io/v1/organization \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.modernloop.io/v1/organization"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.modernloop.io/v1/organization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.modernloop.io/v1/organization",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.modernloop.io/v1/organization"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.modernloop.io/v1/organization")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.modernloop.io/v1/organization")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "org_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>",
"domain": "<string>",
"settings": {
"work_hours": [
{
"day": "MONDAY",
"start": "<string>",
"end": "<string>"
}
],
"interviewer_load_limits": {
"daily": {
"maximum": {
"limit": 123,
"type": "NUMBER_OF_INTERVIEWS"
},
"minimum": {
"interviews": 1,
"minutes": 1
}
},
"weekly": {
"maximum": {
"limit": 123,
"type": "NUMBER_OF_INTERVIEWS"
},
"minimum": {
"interviews": 1,
"minutes": 1
}
}
},
"interview_buffer": {
"before_minutes": 0,
"after_minutes": 0
},
"feedback_writing_time_minutes": 0,
"conflict_keywords": {
"out_of_office": [
"<string>"
],
"avoid": [
"<string>"
],
"available_if_needed": [
"<string>"
],
"recruiting_block": [
"<string>"
]
}
},
"app_url": "<string>"
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}Beta: this endpoint may change or be removed without notice while in beta. There is no compatibility promise until it reaches general availability.
Authorizations
API tokens are passed as Bearer tokens.
Response
Success
Canonical organization ID (org_ followed by 32 lowercase hexadecimal UUID characters).
Pattern:
^org_[0-9a-f]{32}$Example:
"org_a1b2c3d4e5f64789a1b2c3d4e5f64789"
Show child attributes
Show child attributes
Link that opens this resource in the ModernLoop app.
Was this page helpful?
⌘I
Get organization
curl --request GET \
--url https://api.modernloop.io/v1/organization \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.modernloop.io/v1/organization"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.modernloop.io/v1/organization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.modernloop.io/v1/organization",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.modernloop.io/v1/organization"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.modernloop.io/v1/organization")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.modernloop.io/v1/organization")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "org_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>",
"domain": "<string>",
"settings": {
"work_hours": [
{
"day": "MONDAY",
"start": "<string>",
"end": "<string>"
}
],
"interviewer_load_limits": {
"daily": {
"maximum": {
"limit": 123,
"type": "NUMBER_OF_INTERVIEWS"
},
"minimum": {
"interviews": 1,
"minutes": 1
}
},
"weekly": {
"maximum": {
"limit": 123,
"type": "NUMBER_OF_INTERVIEWS"
},
"minimum": {
"interviews": 1,
"minutes": 1
}
}
},
"interview_buffer": {
"before_minutes": 0,
"after_minutes": 0
},
"feedback_writing_time_minutes": 0,
"conflict_keywords": {
"out_of_office": [
"<string>"
],
"avoid": [
"<string>"
],
"available_if_needed": [
"<string>"
],
"recruiting_block": [
"<string>"
]
}
},
"app_url": "<string>"
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}